Bug 101635 - [CMake] Remove the definition of WTF_PLATFORM_WIN from the build system
Summary: [CMake] Remove the definition of WTF_PLATFORM_WIN from the build system
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Soo-Hyun Choi
URL:
Keywords: EasyFix
Depends on:
Blocks:
 
Reported: 2012-11-08 13:15 PST by Laszlo Gombos
Modified: 2013-01-24 00:47 PST (History)
7 users (show)

See Also:


Attachments
Patch (1.26 KB, patch)
2013-01-12 09:45 PST, Soo-Hyun Choi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Laszlo Gombos 2012-11-08 13:15:54 PST
It seems to me that WTF_PLATFORM_WIN defined twice; in CMake build-system in cmake/OptionsWindows.cmake and in Source/WTF/wtf/Platform.h. I would find it more future-proof to have it only defined in common C++ code in Platform.h.

Related discussion in bug 101482.
Comment 1 Soo-Hyun Choi 2013-01-12 09:45:12 PST
Created attachment 182473 [details]
Patch
Comment 2 Soo-Hyun Choi 2013-01-14 10:05:05 PST
This super simple patch seemed to be faced with some kind of build error on Windows port. Any clue? I don't personally have windows build system.
Comment 3 Chris Dumez 2013-01-14 10:27:45 PST
(In reply to comment #2)
> This super simple patch seemed to be faced with some kind of build error on Windows port. Any clue? I don't personally have windows build system.

This is unrelated to the patch. The win-ews bot is in a bad state. Otherwise, the bubble would be red (not purple).
Comment 4 Soo-Hyun Choi 2013-01-14 13:03:20 PST
I guessed the win-ews is in a bad state, but wanted to doubly check. Okay, then I am trying to put it back to the review & commit queue.
Comment 5 Laszlo Gombos 2013-01-14 14:13:07 PST
Comment on attachment 182473 [details]
Patch

Looks good to me. I would like to hear from  Patrick Gansterer or someone else from the WinCE port that they support this change before this can land.
Comment 6 Soo-Hyun Choi 2013-01-23 20:53:21 PST
(In reply to comment #5)
> (From update of attachment 182473 [details])
> Looks good to me. I would like to hear from  Patrick Gansterer or someone else from the WinCE port that they support this change before this can land.

paroga doesn't seem to be in the IRC channel so often, nor do I seem to find anyone for WinCE port from http://trac.webkit.org/wiki/WebKit%20Team. 

Any advice?
Comment 7 Gyuyoung Kim 2013-01-23 20:56:26 PST
Comment on attachment 182473 [details]
Patch

You are not committer. Do not set cp+.
Comment 8 Gyuyoung Kim 2013-01-23 21:55:24 PST
If there is no comment from wince folks by tomorrow, I'd like to land this patch.
Comment 9 Patrick R. Gansterer 2013-01-24 00:34:00 PST
Comment on attachment 182473 [details]
Patch

(In reply to comment #6)
> (In reply to comment #5)
> > (From update of attachment 182473 [details] [details])
> > Looks good to me. I would like to hear from  Patrick Gansterer or someone else from the WinCE port that they support this change before this can land.
> 
> paroga doesn't seem to be in the IRC channel so often, nor do I seem to find anyone for WinCE port from http://trac.webkit.org/wiki/WebKit%20Team. 

I'm the "WinCE team". ;-)

Sorry for the long long delay, but it's not easy to find the time for WebKit if it's not your full time job. :-(
Comment 10 Soo-Hyun Choi 2013-01-24 00:37:46 PST
(In reply to comment #7)
> (From update of attachment 182473 [details])
> You are not committer. Do not set cp+.

Oops! My bad - I meant it to set cq?
Comment 11 WebKit Review Bot 2013-01-24 00:47:44 PST
Comment on attachment 182473 [details]
Patch

Clearing flags on attachment: 182473

Committed r140662: <http://trac.webkit.org/changeset/140662>
Comment 12 WebKit Review Bot 2013-01-24 00:47:49 PST
All reviewed patches have been landed.  Closing bug.